# class Bundler::Deprecate

### Public Class Methods

skip() click to toggle source

    # File lib/bundler/deprecate.rb, line 34
    def Deprecate.skip
      @skip ||= false
    end

skip=(skip) click to toggle source

    # File lib/bundler/deprecate.rb, line 40
    def Deprecate.skip=(skip)
      @skip = skip
    end

skip_during() { || ... } click to toggle source

    # File lib/bundler/deprecate.rb, line 24
    def Deprecate.skip_during
      original = skip
      self.skip = true
      yield
    ensure
      self.skip = original
    end